## Apache Zeta Components Manual :: Docs For Class ezcBaseFunctionalityNotSupportedException

### Base::ezcBaseFunctionalityNotSupportedException

### Class ezcBaseFunctionalityNotSupportedException

The ezcBaseFunctionalityNotSupportedException is thrown when a requested PHP function was not found.

Source for this file: /Base/src/exceptions/functionality_not_supported.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseFunctionalityNotSupportedException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseFunctionalityNotSupportedException | `__construct( $message , $reason )` Constructs a new ezcBaseFunctionalityNotSupportedException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseFunctionalityNotSupportedException __construct( string $message , string $reason )

Constructs a new ezcBaseFunctionalityNotSupportedException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string | The message to throw
`$reason` | string | The reason for the exception

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3